## ocaml-text 0.2

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2009, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of encoding.

OC = ocamlbuild -classic-display
OF = ocamlfind

NAME = text

.PHONY: all
all:
	$(OC) META $(NAME).cma $(NAME).cmxa

.PHONY: doc
doc:
	$(OC) $(NAME).docdir/index.html

.PHONY: dist
dist:
	DARCS_REPO=$(PWD) darcs dist --dist-name $(NAME)-`head -n 1 VERSION`

.PHONY: install
install:
	$(OF) install $(NAME) _build/META \
	  _build/src/*.mli \
	  _build/src/*.cmi \
	  _build/src/*.cmx \
	  _build/src/*.a \
	  _build/src/*.so \
	  _build/$(NAME).cma \
	  _build/$(NAME).cmxa \
	  _build/$(NAME).a

.PHONY: uninstall
uninstall:
	$(OF) remove $(NAME)

.PHONY: reinstall
reinstall: uninstall install

.PHONY: clean
clean:
	$(OC) -clean

## ocaml-text 0.3

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2009, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# This file is a part of ocaml-text.

OC = ocamlbuild -classic-display
OF = ocamlfind

.PHONY: all
all:
	$(OC) all

.PHONY: tests
tests:
	$(OC) test_programs

.PHONY: doc
doc:
	$(OC) text.docdir/index.html

.PHONY: dist
dist:
	DARCS_REPO=$(PWD) darcs dist --dist-name ocaml-text-`head -n 1 VERSION`

.PHONY: install
install:
	$(OF) install text _build/META \
	  $(wildcard _build/src/*.mli) \
	  $(wildcard _build/src/*.cmi) \
	  $(wildcard _build/src/*.cmx) \
	  $(wildcard _build/src/*.cma) \
	  $(wildcard _build/src/*.cmxa) \
	  $(wildcard _build/src/*.cmxs) \
	  $(wildcard _build/src/*.so) \
	  $(wildcard _build/src/*.a) \
	  $(wildcard _build/syntax/pa_text_pcre.cma)

.PHONY: uninstall
uninstall:
	$(OF) remove text

.PHONY: reinstall
reinstall: uninstall install

.PHONY: clean
clean:
	$(OC) -clean

=== debian/changelog ===
ocaml-text (0.3-1) unstable; urgency=low

  * New upstream release
    - remove patch (merged upstream)
    - add camlp4, libpcre-ocaml-dev to Build-Depends
  * Switch source format to 3.0 (quilt)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Update watch file

 -- Stéphane Glondu <glondu@debian.org>  Tue, 02 Mar 2010 23:33:09 +0100

ocaml-text (0.2-3) unstable; urgency=low

  * Switch packaging to dh-ocaml 0.9
  * debian/control:
    - add myself to Uploaders, remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2009 00:05:45 +0200

ocaml-text (0.2-2) unstable; urgency=low

  * Add dependency to libtext-ocaml in libtext-ocaml-dev (Closes: #534112)
  * Update Standards-Version to 3.8.2

 -- Stephane Glondu <steph@glondu.net>  Sun, 21 Jun 2009 21:27:46 +0200

ocaml-text (0.2-1) unstable; urgency=low

  * Initial release (Closes: #527906)

 -- Stephane Glondu <steph@glondu.net>  Sat, 09 May 2009 11:47:11 +0200

=== debian/control ===
Source: ocaml-text
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.2.11~),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 camlp4,
 libpcre-ocaml-dev,
 ocaml-nox (>= 3.11.1-3~)
Standards-Version: 3.8.4
Section: ocaml
Homepage: http://ocaml-text.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-text.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-text.git

Package: libtext-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library for dealing with sequences of Unicode characters
 OCaml-Text is an OCaml library for dealing with "text", i.e. sequences
 of Unicode characters, in a convenient way. It supports:
  * encoding/decoding of text;
  * functions for manipulation of UTF-8 encoded strings, such as
    validation and most of the functions from "List" and "String"
    modules of the OCaml standard library, adapted for UTF-8 strings;
  * locale-specific text functions (compare, upper, is_alpha, ...).
 .
 It is composed of two modules:
  * "Encoding" for encoding/decoding text
  * "Text" for text manipulation
 .
 This package contains all the development stuff you need to use the
 OCaml-Text library in your programs.

Package: libtext-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries of OCaml-Text
 OCaml-Text is an OCaml library for dealing with "text", i.e. sequences
 of Unicode characters, in a convenient way.
 .
 This package contains runtime libraries (shared stub library,
 bytecode plugin and native code plugin if available).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

%:
	dh --with ocaml $@

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.darcs

.PHONY: override_dh_auto_install
override_dh_auto_install:
	install -d $(OCAMLFIND_DESTDIR)
	install -d $(CURDIR)/debian/tmp/$(OCAML_DLL_DIR)
	$(MAKE) install

## ocaml-text 0.4

=== debian/changelog ===
ocaml-text (0.4-2build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:35:16 -0600

ocaml-text (0.4-2) unstable; urgency=low

  * Upload to unstable
  * Bump debhelper compat level to 8
  * Bump versioned dependency to libpcre-ocaml-dev to ease pcre-ocaml
    transition

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2011 02:06:11 +0100

ocaml-text (0.4-1) experimental; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 01 Jan 2011 19:25:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.2.11~),
- dh-ocaml (>= 0.9),
+ debhelper (>= 8),
+ dh-ocaml (>= 0.9.6~),
  ocaml-findlib,
  camlp4,
- libpcre-ocaml-dev,
+ libpcre-ocaml-dev (>= 6.2.2),
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: ocaml
 Homepage: http://ocaml-text.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-text.git

## ocaml-text 0.5

=== debian/changelog ===
ocaml-text (0.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 22:18:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  camlp4,
  libpcre-ocaml-dev (>= 6.2.2),
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: ocaml
 Homepage: http://ocaml-text.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-text.git

## ocaml-text 0.6

=== examples/Makefile ===
.PHONY: all clean

all: regexp

regexp: regexp.ml
	ocamlfind ocamlc -linkpkg -syntax camlp4o -package text.pcre -o regexp regexp.ml

clean:
	rm -f regexp *.cm* *.o

=== debian/changelog ===
ocaml-text (0.6-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:19:03 +0100

ocaml-text (0.6-2) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 21:58:18 +0200

ocaml-text (0.6-1) unstable; urgency=low

  * New upstream release
  * Use format version 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 12:03:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9.6~),
- ocaml-findlib,
+ ocaml-findlib (>= 1.4),
  camlp4,
  libpcre-ocaml-dev (>= 6.2.2),
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.2
+ ocaml-nox (>= 4)
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ocaml-text.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-text.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-text.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-text.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-text.git
 
 Package: libtext-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=100 .*/ocaml-text-(.*)\.tar\.gz
# Upstream darcs repository:
#   http://darcs.ocamlcore.org/repos/ocaml-text/ocaml-text

## ocaml-text 0.8

=== manual/Makefile ===
.PHONY: all clean clean-aux

all: manual.pdf

%.pdf: %.tex
	rubber --pdf $<

%.html: %.tex
	hevea -fix manual.tex

clean: clean-aux
	rm -f *.pdf

clean-aux:
	rm -f *.aux *.dvi *.log *.out *.toc *.html *.htoc *.haux

=== debian/changelog ===
ocaml-text (0.8-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 11:50:59 +0200

ocaml-text (0.8-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and watch to point to github
  * Bump debhelper compat to 10
  * Update Vcs-*
  * Replace pcre-syntax.cmxs by a symbolic link (Closes: #868549)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jul 2017 10:53:33 +0200

ocaml-text (0.6-4) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:52:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 10),
  dh-ocaml (>= 0.9.6~),
  ocaml-findlib (>= 1.4),
  camlp4,
  libpcre-ocaml-dev (>= 6.2.2),
+ ocamlbuild,
+ rubber,
+ texlive-latex-recommended,
+ texlive-latex-extra,
  ocaml-nox (>= 4)
 Standards-Version: 3.9.4
 Section: ocaml
-Homepage: http://ocaml-text.forge.ocamlcore.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-text.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-text.git
+Homepage: https://github.com/vbmithr/ocaml-text
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-text.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-text.git
 
 Package: libtext-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

# Needed for running tests on bytecode architectures
export CAML_LD_LIBRARY_PATH=$(CURDIR)/_build/src

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --enable-pcre --docdir /usr/share/doc/libtext-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
ifeq ($(OCAML_NATDYNLINK),yes)
	cd _build && for u in text pcre bigarray; do ocamlopt -shared -I src -o src/$$u.cmxs src/$$u.cmxa; done
	cd _build && for u in pcre-syntax; do ocamlopt -shared -I syntax -o syntax/$$u.cmxs syntax/$$u.cmxa; done
endif
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing
# Replace pcre-syntax.cmxs by a symbolic link to avoid #868549
	if cmp debian/libtext-ocaml/usr/lib/ocaml/text/text.cmxs debian/libtext-ocaml-dev/usr/lib/ocaml/text/pcre-syntax.cmxs; then \
	  rm -f debian/libtext-ocaml-dev/usr/lib/ocaml/text/pcre-syntax.cmxs; \
	  ln -s text.cmxs debian/libtext-ocaml-dev/usr/lib/ocaml/text/pcre-syntax.cmxs; \
	fi

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
https://github.com/vbmithr/ocaml-text/releases .*/([0-9.]+)\.tar\.gz
